using SushiBarDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.ViewModels
{
    public class SushiViewModel : ISushiModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string SushiName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> SushiComponents
        {
            get;
            set;
        } = new();

    }
}
